local _G = getfenv(0)

function Skinner:Clique()
	if not self.db.profile.SpellBookFrame then return end
	
	self:SecureHook(Clique, "CreateOptionsFrame", "Skin_Clique")
	
	self:removeRegions(CliquePulloutTab, {1})
	CliquePulloutTab:SetWidth(CliquePulloutTab:GetWidth() * 1.25)
	CliquePulloutTab:SetHeight(CliquePulloutTab:GetHeight() * 1.25)
	if self.db.profile.TexturedTab then self:applySkin(CliquePulloutTab, nil, 0) else self:applySkin(CliquePulloutTab) end
	
end

function Skinner:Skin_Clique()

	CliqueFrame.headerLeft:Hide()
	CliqueFrame.headerRight:Hide()
	CliqueFrame.header:Hide()
	self:keepRegions(CliqueFrame, {4})
	self:moveObject(CliqueFrame, "+", 25, "-", 25)
--	self:keepRegions(CliqueDropDown, {4,5})
	self:skinDropDown(CliqueDropDown)
	self:applySkin(CliqueFrame)

	self:removeRegions(CliqueListScroll)
	self:skinScrollBar(CliqueListScroll)

-->>-- TextList Frame	
	CliqueTextListFrame.headerLeft:Hide()
	CliqueTextListFrame.headerRight:Hide()
	CliqueTextListFrame.header:Hide()
	self:keepRegions(CliqueTextListFrame, {4})
	self:applySkin(CliqueTextListFrame)
	self:removeRegions(CliqueTextListScroll)
	self:skinScrollBar(CliqueTextListScroll)

-->>-- CustomEdit Frame
	CliqueCustomFrame.headerLeft:Hide()
	CliqueCustomFrame.headerRight:Hide()
	CliqueCustomFrame.header:Hide()
	self:keepRegions(CliqueCustomFrame, {4})
	self:applySkin(CliqueCustomFrame)
	CliqueCustomArg1:SetMultiLine(false)
	self:skinEditBox(CliqueCustomArg1, {9})
	self:skinEditBox(CliqueCustomArg2, {9})
	self:skinEditBox(CliqueCustomArg3, {9})
	self:skinEditBox(CliqueCustomArg4, {9})
	self:skinEditBox(CliqueCustomArg5, {9})
	self:removeRegions(CliqueMultiScrollFrame)
	self:skinScrollBar(CliqueMultiScrollFrame)
	
-->>-- IconSelect Frame
	CliqueIconSelectFrame.headerLeft:Hide()
	CliqueIconSelectFrame.headerRight:Hide()
	CliqueIconSelectFrame.header:Hide()
	self:keepRegions(CliqueIconSelectFrame, {1})
	self:applySkin(CliqueIconSelectFrame)
	self:removeRegions(CliqueIconScrollFrame)
	self:skinScrollBar(CliqueIconScrollFrame)

end
